NetworkTopologyDiscovery.Factory
Date: 2017-02-10

javax.jmdns

## Class NetworkTopologyDiscovery.Factory

- java.lang.Object
- - javax.jmdns.NetworkTopologyDiscovery.Factory

- Enclosing interface:
    NetworkTopologyDiscovery

      public static final class NetworkTopologyDiscovery.Factory
      extends java.lang.Object

  NetworkTopologyDiscovery.Factory enable the creation of new instance of NetworkTopologyDiscovery.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `NetworkTopologyDiscovery.Factory.ClassDelegate` This interface defines a delegate to the NetworkTopologyDiscovery.Factory class to enable subclassing.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static NetworkTopologyDiscovery.Factory.ClassDelegate` | `classDelegate()` Returns NetworkTopologyDiscovery's class delegate.
    `static NetworkTopologyDiscovery` | `getInstance()` Return the instance of the Multihommed Multicast DNS.
    `protected static NetworkTopologyDiscovery` | `newNetworkTopologyDiscovery()` Returns a new instance of NetworkTopologyDiscovery using the class delegate if it exists.
    `static void` | `setClassDelegate(NetworkTopologyDiscovery.Factory.ClassDelegate delegate)` Assigns `delegate` as NetworkTopologyDiscovery's class delegate.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### setClassDelegate

          public static void setClassDelegate(NetworkTopologyDiscovery.Factory.ClassDelegate delegate)

      Assigns `delegate` as NetworkTopologyDiscovery's class delegate. The class delegate is optional.
      Parameters:
        `delegate` - The object to set as NetworkTopologyDiscovery's class delegate.
      See Also:
        `classDelegate()`, `JmmDNS.Factory.ClassDelegate`

    - #### classDelegate

          public static NetworkTopologyDiscovery.Factory.ClassDelegate classDelegate()

      Returns NetworkTopologyDiscovery's class delegate.
      Returns:
        NetworkTopologyDiscovery's class delegate.
      See Also:
        `setClassDelegate(ClassDelegate anObject)`, `JmmDNS.Factory.ClassDelegate`

    - #### newNetworkTopologyDiscovery

          protected static NetworkTopologyDiscovery newNetworkTopologyDiscovery()

      Returns a new instance of NetworkTopologyDiscovery using the class delegate if it exists.
      Returns:
        new instance of NetworkTopologyDiscovery

    - #### getInstance

          public static NetworkTopologyDiscovery getInstance()

      Return the instance of the Multihommed Multicast DNS.
      Returns:
        the JmmDNS